> ## Documentation Index
> Fetch the complete documentation index at: https://docs.json.pe/llms.txt
> Use this file to discover all available pages before exploring further.

# Licencia de Conducir

> Consulta licencia de conducir por DNI.



## OpenAPI

````yaml POST /licencia
openapi: 3.0.1
info:
  title: json.pe - API Consulta RUC, DNI, Placa, SOAT, Licencia de Conducir y más
  description: >-
    Documentación oficial de [json.pe](https://json.pe) — API Consulta RUC, DNI,
    Placa, SOAT, Licencia de Conducir y más. Regístrate gratis en
    [json.pe/signup](https://json.pe/signup).
  version: 1.0.0
servers:
  - url: https://api.json.pe/api
security:
  - bearerAuth: []
paths:
  /licencia:
    post:
      tags:
        - dni
      description: Consulta licencia de conducir por DNI.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/licencia-request'
      responses:
        '200':
          description: licencia response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/licencia-conducir'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    licencia-request:
      type: object
      required:
        - dni
      properties:
        dni:
          type: string
          description: El DNI a consultar
          example: '27427864'
      example:
        dni: '27427864'
    licencia-conducir:
      type: object
      properties:
        success:
          type: boolean
          description: El estado de la respuesta  true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          type: object
          description: Datos detallados de la respuesta
          properties:
            numero_documento:
              type: string
              description: Numero de documento
            nombres:
              type: string
              description: Nombres
            apellido_paterno:
              type: string
              description: Apellido paterno
            apellido_materno:
              type: string
              description: Apellido materno
            grupo_sanguineo:
              type: string
              description: Grupo sanguineo
            donacion_organos:
              type: string
              description: Donación de organos
            licencia:
              type: array
              description: Licencias de su dni
      example:
        message: exito!
        data:
          numero_documento: '10400310'
          nombre_completo: CARLOS EDGARDO DELGADO RIVERA
          licencia:
            numero: Q10400310
            categoria: A I
            fecha_expedicion: ''
            fecha_vencimiento: 06/03/2027
            estado: VIGENTE
            restricciones: SIN RESTRICCIONES
    error:
      required:
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      example:
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````